import { createAggregatedClient } from "@smithy/smithy-client";
import { ApplyPendingMaintenanceActionCommand, } from "./commands/ApplyPendingMaintenanceActionCommand";
import { CopyClusterSnapshotCommand, } from "./commands/CopyClusterSnapshotCommand";
import { CreateClusterCommand, } from "./commands/CreateClusterCommand";
import { CreateClusterSnapshotCommand, } from "./commands/CreateClusterSnapshotCommand";
import { DeleteClusterCommand, } from "./commands/DeleteClusterCommand";
import { DeleteClusterSnapshotCommand, } from "./commands/DeleteClusterSnapshotCommand";
import { GetClusterCommand } from "./commands/GetClusterCommand";
import { GetClusterSnapshotCommand, } from "./commands/GetClusterSnapshotCommand";
import { GetPendingMaintenanceActionCommand, } from "./commands/GetPendingMaintenanceActionCommand";
import { ListClustersCommand, } from "./commands/ListClustersCommand";
import { ListClusterSnapshotsCommand, } from "./commands/ListClusterSnapshotsCommand";
import { ListPendingMaintenanceActionsCommand, } from "./commands/ListPendingMaintenanceActionsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { RestoreClusterFromSnapshotCommand, } from "./commands/RestoreClusterFromSnapshotCommand";
import { StartClusterCommand, } from "./commands/StartClusterCommand";
import { StopClusterCommand } from "./commands/StopClusterCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateClusterCommand, } from "./commands/UpdateClusterCommand";
import { DocDBElasticClient } from "./DocDBElasticClient";
const commands = {
    ApplyPendingMaintenanceActionCommand,
    CopyClusterSnapshotCommand,
    CreateClusterCommand,
    CreateClusterSnapshotCommand,
    DeleteClusterCommand,
    DeleteClusterSnapshotCommand,
    GetClusterCommand,
    GetClusterSnapshotCommand,
    GetPendingMaintenanceActionCommand,
    ListClustersCommand,
    ListClusterSnapshotsCommand,
    ListPendingMaintenanceActionsCommand,
    ListTagsForResourceCommand,
    RestoreClusterFromSnapshotCommand,
    StartClusterCommand,
    StopClusterCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateClusterCommand,
};
export class DocDBElastic extends DocDBElasticClient {
}
createAggregatedClient(commands, DocDBElastic);
