import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  ApplyPendingMaintenanceActionInput,
  ApplyPendingMaintenanceActionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ApplyPendingMaintenanceActionCommandInput
  extends ApplyPendingMaintenanceActionInput {}
export interface ApplyPendingMaintenanceActionCommandOutput
  extends ApplyPendingMaintenanceActionOutput,
    __MetadataBearer {}
declare const ApplyPendingMaintenanceActionCommand_base: {
  new (
    input: ApplyPendingMaintenanceActionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ApplyPendingMaintenanceActionCommandInput,
    ApplyPendingMaintenanceActionCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: ApplyPendingMaintenanceActionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ApplyPendingMaintenanceActionCommandInput,
    ApplyPendingMaintenanceActionCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ApplyPendingMaintenanceActionCommand extends ApplyPendingMaintenanceActionCommand_base {
  protected static __types: {
    api: {
      input: ApplyPendingMaintenanceActionInput;
      output: ApplyPendingMaintenanceActionOutput;
    };
    sdk: {
      input: ApplyPendingMaintenanceActionCommandInput;
      output: ApplyPendingMaintenanceActionCommandOutput;
    };
  };
}
