import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  CreateClusterSnapshotInput,
  CreateClusterSnapshotOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateClusterSnapshotCommandInput
  extends CreateClusterSnapshotInput {}
export interface CreateClusterSnapshotCommandOutput
  extends CreateClusterSnapshotOutput,
    __MetadataBearer {}
declare const CreateClusterSnapshotCommand_base: {
  new (
    input: CreateClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateClusterSnapshotCommandInput,
    CreateClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: CreateClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateClusterSnapshotCommandInput,
    CreateClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateClusterSnapshotCommand extends CreateClusterSnapshotCommand_base {
  protected static __types: {
    api: {
      input: CreateClusterSnapshotInput;
      output: CreateClusterSnapshotOutput;
    };
    sdk: {
      input: CreateClusterSnapshotCommandInput;
      output: CreateClusterSnapshotCommandOutput;
    };
  };
}
