import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { GetClusterInput, GetClusterOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetClusterCommandInput extends GetClusterInput {}
export interface GetClusterCommandOutput
  extends GetClusterOutput,
    __MetadataBearer {}
declare const GetClusterCommand_base: {
  new (
    input: GetClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetClusterCommandInput,
    GetClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetClusterCommandInput,
    GetClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetClusterCommand extends GetClusterCommand_base {
  protected static __types: {
    api: {
      input: GetClusterInput;
      output: GetClusterOutput;
    };
    sdk: {
      input: GetClusterCommandInput;
      output: GetClusterCommandOutput;
    };
  };
}
