import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  GetClusterSnapshotInput,
  GetClusterSnapshotOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetClusterSnapshotCommandInput
  extends GetClusterSnapshotInput {}
export interface GetClusterSnapshotCommandOutput
  extends GetClusterSnapshotOutput,
    __MetadataBearer {}
declare const GetClusterSnapshotCommand_base: {
  new (
    input: GetClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetClusterSnapshotCommandInput,
    GetClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetClusterSnapshotCommandInput,
    GetClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetClusterSnapshotCommand extends GetClusterSnapshotCommand_base {
  protected static __types: {
    api: {
      input: GetClusterSnapshotInput;
      output: GetClusterSnapshotOutput;
    };
    sdk: {
      input: GetClusterSnapshotCommandInput;
      output: GetClusterSnapshotCommandOutput;
    };
  };
}
