import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  GetPendingMaintenanceActionInput,
  GetPendingMaintenanceActionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetPendingMaintenanceActionCommandInput
  extends GetPendingMaintenanceActionInput {}
export interface GetPendingMaintenanceActionCommandOutput
  extends GetPendingMaintenanceActionOutput,
    __MetadataBearer {}
declare const GetPendingMaintenanceActionCommand_base: {
  new (
    input: GetPendingMaintenanceActionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPendingMaintenanceActionCommandInput,
    GetPendingMaintenanceActionCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetPendingMaintenanceActionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPendingMaintenanceActionCommandInput,
    GetPendingMaintenanceActionCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetPendingMaintenanceActionCommand extends GetPendingMaintenanceActionCommand_base {
  protected static __types: {
    api: {
      input: GetPendingMaintenanceActionInput;
      output: GetPendingMaintenanceActionOutput;
    };
    sdk: {
      input: GetPendingMaintenanceActionCommandInput;
      output: GetPendingMaintenanceActionCommandOutput;
    };
  };
}
