import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { ListClustersInput, ListClustersOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListClustersCommandInput extends ListClustersInput {}
export interface ListClustersCommandOutput
  extends ListClustersOutput,
    __MetadataBearer {}
declare const ListClustersCommand_base: {
  new (
    input: ListClustersCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListClustersCommandInput,
    ListClustersCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListClustersCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListClustersCommandInput,
    ListClustersCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListClustersCommand extends ListClustersCommand_base {
  protected static __types: {
    api: {
      input: ListClustersInput;
      output: ListClustersOutput;
    };
    sdk: {
      input: ListClustersCommandInput;
      output: ListClustersCommandOutput;
    };
  };
}
