import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  RestoreClusterFromSnapshotInput,
  RestoreClusterFromSnapshotOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface RestoreClusterFromSnapshotCommandInput
  extends RestoreClusterFromSnapshotInput {}
export interface RestoreClusterFromSnapshotCommandOutput
  extends RestoreClusterFromSnapshotOutput,
    __MetadataBearer {}
declare const RestoreClusterFromSnapshotCommand_base: {
  new (
    input: RestoreClusterFromSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RestoreClusterFromSnapshotCommandInput,
    RestoreClusterFromSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: RestoreClusterFromSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RestoreClusterFromSnapshotCommandInput,
    RestoreClusterFromSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RestoreClusterFromSnapshotCommand extends RestoreClusterFromSnapshotCommand_base {
  protected static __types: {
    api: {
      input: RestoreClusterFromSnapshotInput;
      output: RestoreClusterFromSnapshotOutput;
    };
    sdk: {
      input: RestoreClusterFromSnapshotCommandInput;
      output: RestoreClusterFromSnapshotCommandOutput;
    };
  };
}
