import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { UpdateClusterInput, UpdateClusterOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface UpdateClusterCommandInput extends UpdateClusterInput {}
export interface UpdateClusterCommandOutput
  extends UpdateClusterOutput,
    __MetadataBearer {}
declare const UpdateClusterCommand_base: {
  new (
    input: UpdateClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateClusterCommandInput,
    UpdateClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: UpdateClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateClusterCommandInput,
    UpdateClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateClusterCommand extends UpdateClusterCommand_base {
  protected static __types: {
    api: {
      input: UpdateClusterInput;
      output: UpdateClusterOutput;
    };
    sdk: {
      input: UpdateClusterCommandInput;
      output: UpdateClusterCommandOutput;
    };
  };
}
