import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  CopyClusterSnapshotInput,
  CopyClusterSnapshotOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CopyClusterSnapshotCommandInput
  extends CopyClusterSnapshotInput {}
export interface CopyClusterSnapshotCommandOutput
  extends CopyClusterSnapshotOutput,
    __MetadataBearer {}
declare const CopyClusterSnapshotCommand_base: {
  new (
    input: CopyClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CopyClusterSnapshotCommandInput,
    CopyClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: CopyClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CopyClusterSnapshotCommandInput,
    CopyClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CopyClusterSnapshotCommand extends CopyClusterSnapshotCommand_base {
  protected static __types: {
    api: {
      input: CopyClusterSnapshotInput;
      output: CopyClusterSnapshotOutput;
    };
    sdk: {
      input: CopyClusterSnapshotCommandInput;
      output: CopyClusterSnapshotCommandOutput;
    };
  };
}
