import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { CreateClusterInput, CreateClusterOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateClusterCommandInput extends CreateClusterInput {}
export interface CreateClusterCommandOutput
  extends CreateClusterOutput,
    __MetadataBearer {}
declare const CreateClusterCommand_base: {
  new (
    input: CreateClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateClusterCommandInput,
    CreateClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: CreateClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateClusterCommandInput,
    CreateClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateClusterCommand extends CreateClusterCommand_base {
  protected static __types: {
    api: {
      input: CreateClusterInput;
      output: CreateClusterOutput;
    };
    sdk: {
      input: CreateClusterCommandInput;
      output: CreateClusterCommandOutput;
    };
  };
}
