import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { DeleteClusterInput, DeleteClusterOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteClusterCommandInput extends DeleteClusterInput {}
export interface DeleteClusterCommandOutput
  extends DeleteClusterOutput,
    __MetadataBearer {}
declare const DeleteClusterCommand_base: {
  new (
    input: DeleteClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteClusterCommandInput,
    DeleteClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: DeleteClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteClusterCommandInput,
    DeleteClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteClusterCommand extends DeleteClusterCommand_base {
  protected static __types: {
    api: {
      input: DeleteClusterInput;
      output: DeleteClusterOutput;
    };
    sdk: {
      input: DeleteClusterCommandInput;
      output: DeleteClusterCommandOutput;
    };
  };
}
