import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  DeleteClusterSnapshotInput,
  DeleteClusterSnapshotOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteClusterSnapshotCommandInput
  extends DeleteClusterSnapshotInput {}
export interface DeleteClusterSnapshotCommandOutput
  extends DeleteClusterSnapshotOutput,
    __MetadataBearer {}
declare const DeleteClusterSnapshotCommand_base: {
  new (
    input: DeleteClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteClusterSnapshotCommandInput,
    DeleteClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: DeleteClusterSnapshotCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteClusterSnapshotCommandInput,
    DeleteClusterSnapshotCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteClusterSnapshotCommand extends DeleteClusterSnapshotCommand_base {
  protected static __types: {
    api: {
      input: DeleteClusterSnapshotInput;
      output: DeleteClusterSnapshotOutput;
    };
    sdk: {
      input: DeleteClusterSnapshotCommandInput;
      output: DeleteClusterSnapshotCommandOutput;
    };
  };
}
