import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  ListClusterSnapshotsInput,
  ListClusterSnapshotsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListClusterSnapshotsCommandInput
  extends ListClusterSnapshotsInput {}
export interface ListClusterSnapshotsCommandOutput
  extends ListClusterSnapshotsOutput,
    __MetadataBearer {}
declare const ListClusterSnapshotsCommand_base: {
  new (
    input: ListClusterSnapshotsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListClusterSnapshotsCommandInput,
    ListClusterSnapshotsCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListClusterSnapshotsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListClusterSnapshotsCommandInput,
    ListClusterSnapshotsCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListClusterSnapshotsCommand extends ListClusterSnapshotsCommand_base {
  protected static __types: {
    api: {
      input: ListClusterSnapshotsInput;
      output: ListClusterSnapshotsOutput;
    };
    sdk: {
      input: ListClusterSnapshotsCommandInput;
      output: ListClusterSnapshotsCommandOutput;
    };
  };
}
