import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import {
  ListPendingMaintenanceActionsInput,
  ListPendingMaintenanceActionsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListPendingMaintenanceActionsCommandInput
  extends ListPendingMaintenanceActionsInput {}
export interface ListPendingMaintenanceActionsCommandOutput
  extends ListPendingMaintenanceActionsOutput,
    __MetadataBearer {}
declare const ListPendingMaintenanceActionsCommand_base: {
  new (
    input: ListPendingMaintenanceActionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListPendingMaintenanceActionsCommandInput,
    ListPendingMaintenanceActionsCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListPendingMaintenanceActionsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListPendingMaintenanceActionsCommandInput,
    ListPendingMaintenanceActionsCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListPendingMaintenanceActionsCommand extends ListPendingMaintenanceActionsCommand_base {
  protected static __types: {
    api: {
      input: ListPendingMaintenanceActionsInput;
      output: ListPendingMaintenanceActionsOutput;
    };
    sdk: {
      input: ListPendingMaintenanceActionsCommandInput;
      output: ListPendingMaintenanceActionsCommandOutput;
    };
  };
}
