import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { StartClusterInput, StartClusterOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface StartClusterCommandInput extends StartClusterInput {}
export interface StartClusterCommandOutput
  extends StartClusterOutput,
    __MetadataBearer {}
declare const StartClusterCommand_base: {
  new (
    input: StartClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartClusterCommandInput,
    StartClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: StartClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartClusterCommandInput,
    StartClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartClusterCommand extends StartClusterCommand_base {
  protected static __types: {
    api: {
      input: StartClusterInput;
      output: StartClusterOutput;
    };
    sdk: {
      input: StartClusterCommandInput;
      output: StartClusterCommandOutput;
    };
  };
}
