import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DocDBElasticClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DocDBElasticClient";
import { StopClusterInput, StopClusterOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface StopClusterCommandInput extends StopClusterInput {}
export interface StopClusterCommandOutput
  extends StopClusterOutput,
    __MetadataBearer {}
declare const StopClusterCommand_base: {
  new (
    input: StopClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopClusterCommandInput,
    StopClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: StopClusterCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopClusterCommandInput,
    StopClusterCommandOutput,
    DocDBElasticClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopClusterCommand extends StopClusterCommand_base {
  protected static __types: {
    api: {
      input: StopClusterInput;
      output: StopClusterOutput;
    };
    sdk: {
      input: StopClusterCommandInput;
      output: StopClusterCommandOutput;
    };
  };
}
